org.jbpm.ruleflow.core.factory

## Class BoundaryEventNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.BoundaryEventNodeFactory

-     public class BoundaryEventNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryEventNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundaryEventNodeFactory` | `attachedTo(long attachedToId)`
    `BoundaryEventNodeFactory` | `cancelActivity(boolean cancelActivity)`
    `protected Node` | `createNode()`
    `BoundaryEventNodeFactory` | `eventFilter(EventFilter eventFilter)`
    `BoundaryEventNodeFactory` | `eventTransformer(EventTransformer transformer)`
    `BoundaryEventNodeFactory` | `eventType(String eventType)`
    `BoundaryEventNodeFactory` | `eventType(String eventTypePrefix, String eventTypeSurffix)`
    `protected BoundaryEventNode` | `getBoundaryEventNode()`
    `BoundaryEventNodeFactory` | `name(String name)`
    `BoundaryEventNodeFactory` | `scope(String scope)`
    `BoundaryEventNodeFactory` | `setMetaData(String name, Object value)`
    `BoundaryEventNodeFactory` | `timeCycle(String timeCycle)`
    `BoundaryEventNodeFactory` | `timeCycle(String timeCycle, String language)`
    `BoundaryEventNodeFactory` | `timeDuration(String timeDuration)`
    `BoundaryEventNodeFactory` | `variableName(String variableName)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundaryEventNodeFactory

          public BoundaryEventNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                          NodeContainer nodeContainer,
                                          long id)

  - ### Method Detail

    - #### attachedTo

          public BoundaryEventNodeFactory attachedTo(long attachedToId)

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getBoundaryEventNode

          protected BoundaryEventNode getBoundaryEventNode()

    - #### name

          public BoundaryEventNodeFactory name(String name)

    - #### variableName

          public BoundaryEventNodeFactory variableName(String variableName)

    - #### eventFilter

          public BoundaryEventNodeFactory eventFilter(EventFilter eventFilter)

    - #### eventType

          public BoundaryEventNodeFactory eventType(String eventType)

    - #### eventType

          public BoundaryEventNodeFactory eventType(String eventTypePrefix,
                                                    String eventTypeSurffix)

    - #### timeCycle

          public BoundaryEventNodeFactory timeCycle(String timeCycle)

    - #### timeCycle

          public BoundaryEventNodeFactory timeCycle(String timeCycle,
                                                    String language)

    - #### timeDuration

          public BoundaryEventNodeFactory timeDuration(String timeDuration)

    - #### cancelActivity

          public BoundaryEventNodeFactory cancelActivity(boolean cancelActivity)

    - #### eventTransformer

          public BoundaryEventNodeFactory eventTransformer(EventTransformer transformer)

    - #### scope

          public BoundaryEventNodeFactory scope(String scope)

    - #### setMetaData

          public BoundaryEventNodeFactory setMetaData(String name,
                                                      Object value)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.